Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SensorData Class Reference

A class representing a sensor data vector. More...

`#include <SensorData.h>`

Inheritance diagram for SensorData:

[legend]
Collaboration diagram for SensorData:

[legend]
List of all members.

## Public Types
enum | sensors { neckTilt, headPan, headTilt, headBack, headFront, psd, mouth, chin, legFL1, legFL2, legFL3, pawFL, legHL1, legHL2, legHL3, pawHL, legFR1, legFR2, legFR3, pawFR, legHR1, legHR2, legHR3, pawHR, tailPan, tailTilt, thermo, back, accelerationX, accelerationY, accelerationZ, numOfSensor_ERS210, head = numOfSensor_ERS210, headPsdFar, bodyPsd, numOfSensor_ERS7, headTilt210 = neckTilt, headPan210 = headPan, headRoll210 = headTilt, headPsdNear = psd, backF = headFront, backM = back, backR = headBack, wlan = thermo }
## Public Member Functions
| SensorData ()
| constructs a SensorData.
| ~SensorData ()
| deconstructs a SensorData.
void | init ()
## Static Public Member Functions
const char * | getSensorName (sensors sensor)
| returns the name of a sensor
const char * | getSensorNameERS210 (sensors sensor)
| returns the name of a sensor of the ERS-210
const char * | getSensorNameERS7 (sensors sensor)
| returns the name of a sensor of the ERS-7
## Public Attributes
long | data [numOfSensor_ERS7]
| The sensor data value.
long | refValue [numOfSensor_ERS7]
| Sensor data reference values.
unsigned long | frameNumber
| The frame number of that sensor data.
## Private Member Functions
void | serialize (In *in, Out *out)

## Detailed Description

A class representing a sensor data vector.

Definition at line 16 of file SensorData.h.

## Member Enumeration Documentation

enum SensorData::sensors

  | Enumeration values:
  neckTilt |
  headPan |
  headTilt |
  headBack |
  headFront |
  psd |
  mouth |
  chin |
  legFL1 |
  legFL2 |
  legFL3 |
  pawFL |
  legHL1 |
  legHL2 |
  legHL3 |
  pawHL |
  legFR1 |
  legFR2 |
  legFR3 |
  pawFR |
  legHR1 |
  legHR2 |
  legHR3 |
  pawHR |
  tailPan |
  tailTilt |
  thermo |
  back |
  accelerationX |
  accelerationY |
  accelerationZ |
  numOfSensor_ERS210 |
  head |
  headPsdFar |
  bodyPsd |
  numOfSensor_ERS7 |
  headTilt210 |
  headPan210 |
  headRoll210 |
  headPsdNear |
  backF |
  backM |
  backR |
  wlan |
Definition at line 122 of file SensorData.h.

## Constructor & Destructor Documentation

SensorData::SensorData | ( |  | ) |

| constructs a SensorData. Definition at line 9 of file SensorData.cpp. References init().

Here is the call graph for this function:

SensorData::~SensorData | ( |  | ) |

| deconstructs a SensorData. Definition at line 14 of file SensorData.cpp.

## Member Function Documentation

void SensorData::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, private, virtual]`

| Implements Streamable. Definition at line 18 of file SensorData.h. References accelerationX, accelerationY, accelerationZ, backF, backM, backR, bodyPsd, headPsdFar, headPsdNear, pawFL, pawFR, pawHL, pawHR, refValue, STREAM, STREAM_REGISTER_BEGIN, STREAM_REGISTER_FINISH, and wlan.

void SensorData::init | ( |  | ) |

| Definition at line 18 of file SensorData.cpp. References accelerationZ, numOfSensor_ERS7, and refValue. Referenced by SensorData().

const char* SensorData::getSensorName | ( | sensors | sensor | ) | `[inline, static]`

| returns the name of a sensor Definition at line 175 of file SensorData.h. References getSensorNameERS7(), headBack, headFront, psd, and thermo.

Here is the call graph for this function:

const char* SensorData::getSensorNameERS210 | ( | sensors | sensor | ) | `[inline, static]`

| returns the name of a sensor of the ERS-210 Definition at line 191 of file SensorData.h. References accelerationX, accelerationY, accelerationZ, headBack, headFront, pawFL, pawFR, pawHL, pawHR, psd, and thermo. Referenced by getSensorNameERS7().

const char* SensorData::getSensorNameERS7 | ( | sensors | sensor | ) | `[inline, static]`

| returns the name of a sensor of the ERS-7 Definition at line 231 of file SensorData.h. References backF, backM, backR, bodyPsd, getSensorNameERS210(), headPsdFar, headPsdNear, and wlan. Referenced by getSensorName().

Here is the call graph for this function:

## Member Data Documentation

long SensorData::data[numOfSensor_ERS7]

| The sensor data value. Definition at line 163 of file SensorData.h. Referenced by GT2005SensorDataProcessor::buildCameraMatrix(), GT2005SensorDataProcessor::buildPSDPercept(), Kinematics::calcAbsRoll(), Kinematics::calcHeadHeight(), Kinematics::calcRelativeRobotVertices(), GT2005SensorDataProcessor::calculateBodyPostureFromAccelerationSensors(), GT2005SensorDataProcessor::detectMouthState(), GT2005SensorDataProcessor::detectSwitches(), GT2005SensorDataProcessor::execute(), GT2005HeadControl::execute(), GT2005CollisionDetector::execute(), GT2005GetupEngine::executeParameterized(), GT2005SensorDataProcessor::SensorDataRingBuffer::getAverage(), RobotStateSymbols::getBallUnderHead(), GT2005HeadControl::getSensorHeadAngles(), GT2005HeadControl::GT2005HeadControl(), GT2005HeadControl::headPanIsLeft(), GT2005HeadControl::headPositionDistanceToActualPosition(), GT2005HeadPathPlanner::headPositionReached(), GT2005SensorDataProcessor::SensorDataRingBuffer::interpolate(), operator>>(), GT2005BehaviorControl::postExecute(), GT2005WalkingEngine::readDebugData(), GT2005WalkingEngine::readResampleData(), DebugMotionControl::setStayAsForcedValue(), MotionStabilizer::stabilize(), WakeUpEngine::start(), GT2005SensorDataProcessor::SensorDataRingBuffer::updateAverage(), and GT2005MotionControl::wagTail().

long SensorData::refValue[numOfSensor_ERS7]

| Sensor data reference values. Only valid for joint sensors. Definition at line 167 of file SensorData.h. Referenced by GT2005CollisionDetector::execute(), init(), operator>>(), and serialize().

unsigned long SensorData::frameNumber

| The frame number of that sensor data. Definition at line 170 of file SensorData.h. Referenced by GT2005SensorDataProcessor::buildCameraMatrix(), GT2005SensorDataProcessor::buildPSDPercept(), Kinematics::calcRelativeRobotVertices(), GT2005SensorDataProcessor::execute(), GT2005CollisionDetector::execute(), GT2005SensorDataProcessor::SensorDataRingBuffer::interpolate(), and operator>>().

The documentation for this class was generated from the following files:

- Representations/Perception/SensorData.h
- Representations/Perception/SensorData.cpp